Option Strict On

Imports System.ComponentModel
Imports System.ComponentModel.Design

Namespace rw
    ''' -----------------------------------------------------------------------------
    ''' Project	 : schedule
    ''' Class	 : rw.ScheduleDesignerActionList
    '''
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' ScheduleDesignerActionList adds items to the smart menu tag of the Schedule controls
    ''' at design time
    ''' </summary>
    ''' -----------------------------------------------------------------------------
    Public Class ScheduleDesignerActionList
        Inherits DesignerActionList

        Private myScheduleControl As BaseSchedule
        Private myDesigner As ScheduleDesigner
        Private designerActionSvc As DesignerActionService = Nothing

        Public Sub New(ByVal component As IComponent, ByVal designer As ScheduleDesigner)

            MyBase.New(component)
            Me.myScheduleControl = CType(component, BaseSchedule)
            Me.myDesigner = designer

            ' Cache a reference to DesignerActionService, so the
            ' DesigneractionList can be refreshed.
            Me.designerActionSvc = CType(GetService(GetType(DesignerActionService)), DesignerActionService)
        End Sub

        Public Sub ShowPropertyBuilder()
            myDesigner.OnPropertyBuilder(Nothing, EventArgs.Empty)
        End Sub

        Public Overrides Function GetSortedActionItems() As DesignerActionItemCollection
            Dim items As DesignerActionItemCollection = New DesignerActionItemCollection()
            items.Add(New DesignerActionMethodItem(Me, "ShowPropertyBuilder", "Property Builder...", True))
            Return items
        End Function

    End Class

End Namespace
