Option Strict On

Imports System
Imports System.Collections

' -------------------------- Databound Schedule Control v1.6/1.9 -----------------------
'
' ------------------------------ www.rekenwonder.com ---------------------------------

Namespace rw

    ''' -----------------------------------------------------------------------------
    ''' Project	 : schedule
    ''' Class	 : rw.ScheduleItemCollection
    ''' 
    ''' -----------------------------------------------------------------------------
    ''' <summary>
    ''' The ScheduleItemCollection class represents a collection of ScheduleItem objects.
    ''' </summary>
    ''' -----------------------------------------------------------------------------
    Public Class ScheduleItemCollection
        Implements ICollection, IEnumerable

        Private items As ArrayList

        Public Sub New(ByVal items As ArrayList)
            Me.items = items
        End Sub

        Public ReadOnly Property Count() As Integer Implements ICollection.Count
            Get
                Return items.Count
            End Get
        End Property

        Public ReadOnly Property IsReadOnly() As Boolean
            Get
                Return False
            End Get
        End Property

        Public ReadOnly Property IsSynchronized() As Boolean Implements ICollection.IsSynchronized
            Get
                Return False
            End Get
        End Property

        Default Public ReadOnly Property Item(ByVal index As Integer) As ScheduleItem
            Get
                Return CType(items(index), ScheduleItem)
            End Get
        End Property

        Public ReadOnly Property SyncRoot() As Object Implements ICollection.SyncRoot
            Get
                Return Me
            End Get
        End Property

        Public Sub CopyTo(ByVal array As Array, ByVal index As Integer) Implements ICollection.CopyTo
            Dim current As ScheduleItem
            For Each current In Me
                array.SetValue(current, index)
                index = index + 1
            Next current
        End Sub

        Public Function GetEnumerator() As IEnumerator Implements ICollection.GetEnumerator
            Return items.GetEnumerator()
        End Function

    End Class 'ScheduleItemCollection

End Namespace

